%define pkg_name        Ogg-Vorbis-Header-PurePerl
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 3.n0i.4

Summary:       An OOP interface to Ogg Vorbis information and comment fields
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AM/AMOLLOY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Ogg::Vorbis::Header::PurePerl - An object-oriented interface to Ogg Vorbis
information and comment fields, implemented entirely in Perl.  Intended to be 
a drop in replacement for Ogg::Vobis::Header.

This module is intended to be a drop in replacement for Ogg::Vorbis::Header,
implemented entirely in Perl.  It provides an object-oriented interface to
Ogg Vorbis information and comment fields.  (NOTE: This module currently 
supports only read operations).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/Ogg/Vorbis/Header/ogginfo.pl
%doc Changes LICENSE.GPL README ogginfo.pl


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.07-3.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.07-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Wed Dec 29 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.1
- version 0.07
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
